package org.gcube.application.perform.service;

import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.Response;

import org.junit.BeforeClass;
import org.junit.Test;

public class PerformanceTest extends CommonTest{
	
	
	
	
	@Test
	public void getPerformance() {
		WebTarget target=
				target(ServiceConstants.Performance.PATH).
				queryParam(ServiceConstants.Performance.AREA_PARAMETER, "A1","A2").
				queryParam(ServiceConstants.Performance.QUARTER_PARAMETER, "Q1","Q2").
				queryParam(ServiceConstants.Performance.SPECIES_ID_PARAMETER, "Gadilidae","Tonno").
				queryParam(ServiceConstants.Performance.PERIOD_PARAMETER, "First","Spring").
				queryParam(ServiceConstants.Performance.FARM_ID_PARAMETER, "1233556","12346").
				queryParam(ServiceConstants.Performance.BATCH_TYPE_PARAMETER, "GROW_OUT_AGGREGATED");

		System.out.println(target.getUri());		
		Response resp=target.request().get();
		System.out.println(resp.getStatus() + " : "+ resp.readEntity(String.class));		
	}

}
